<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSupplierInvoiceDataTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fm_supplier_invoice_data', function (Blueprint $table) {
            $table->id('supplier_invoice_data_id');
            $table->integer('internal_id');
            $table->string('external_id', 100);
            $table->integer('grn_data_id')->nullable();
            $table->integer('grn_internal_id')->nullable();
            $table->string('grn_external_id', 100)->nullable();
            $table->string('product_id', 100);
            $table->integer('unit_id');
            $table->double('quantity');
            $table->double('price');
            $table->integer('discount_id');
            $table->double('discount');
            $table->double('value');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('supplier_invoice_data');
    }
}
